Asc Operations - Get
Gets the status of an asynchronous operation for the Azure HPC Cache
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.StorageCache/locations/{location}/ascOperations/{operationId}?api-version=2026-01-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
location
|
path | True |
string minLength: 1 |
The name of Azure region. |
|
operation
|
path | True |
string minLength: 1 |
The ID of an ongoing async operation. |
|
subscription
|
path | True |
string minLength: 1 |
The ID of the target subscription. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Azure operation completed successfully. |
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
AscOperations_Get
Sample request
GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.StorageCache/locations/westus/ascOperations/testoperationid?api-version=2026-01-01
Sample response
{
"name": "testoperationid",
"endTime": "2023-01-01T16:13:13.933Z",
"id": "/subscriptions/id/locations/westus/ascOperations/testoperationid",
"startTime": "2023-01-01T13:13:13.933Z",
"status": "Succeeded"
}
Definitions
| Name | Description |
|---|---|
|
Asc |
The status of operation. |
|
Asc |
Describes the format of Error response. |
|
Cloud |
An error response. |
|
Cloud |
An error response. |
AscOperation
The status of operation.
| Name | Type | Description |
|---|---|---|
| endTime |
string |
The end time of the operation. |
| error |
The error detail of the operation if any. |
|
| id |
string |
The operation Id. |
| name |
string |
The operation name. |
| properties.output |
|
Additional operation-specific output. |
| startTime |
string |
The start time of the operation. |
| status |
string |
The status of the operation. |
AscOperationErrorResponse
Describes the format of Error response.
| Name | Type | Description |
|---|---|---|
| code |
string |
Error code |
| message |
string |
Error message indicating why the operation failed. |
CloudError
An error response.
| Name | Type | Description |
|---|---|---|
| error |
The body of the error. |
CloudErrorBody
An error response.
| Name | Type | Description |
|---|---|---|
| code |
string |
An identifier for the error. Codes are invariant and are intended to be consumed programmatically. |
| details |
A list of additional details about the error. |
|
| message |
string |
A message describing the error, intended to be suitable for display in a user interface. |
| target |
string |
The target of the particular error. For example, the name of the property in error. |